How to install

To install jSAM

To install the CARMA Eclipse PlugIn, Eclipse for DSL and Java 1.8 are needed.

Open your copy of Eclipse for DSL, and select Help >> Install New Software.

newsoftware

Click Add to open add site dialogue

Screen-Shot-2015-09-27-at-15.39.48

Create jSAM repository and set the location to

http://dl.bintray.com/michele-loreti/jSAM/updates/1.1/

jsamrepository

Select the packages of your interest from the category jSAM Plugin category and click on button Next.

selectplugins

After that you have to confirm the list of plugins to install.

confirmplugin

After you have pressed Next all the required features are downloaded. Consequently, you will be asked to accept the License (EPL v1 in our case).

acceptlicense

The installation process continue. At the end of which you first have to confirm the installation

confirminstallation

Finally, you have to restart Eclipse to enable the new installed features

restart